## libgweather 3.36.1

=== meson_options.txt ===
option('zoneinfo_dir', type: 'string', value: '/usr/share/zoneinfo',
       description: 'zoneinfo directory')
option('owm_apikey', type: 'string', value: '',
       description: 'Specify an API key for OpenWeatherMap (optional)')
option('glade_catalog', type: 'combo', choices : ['true', 'false', 'auto'], value : 'auto',
       description: 'Install a glade catalog file')
option('enable_vala', type: 'combo', choices : ['true', 'false', 'auto'], value : 'auto',
       description: 'Install vala bindings')
option('gtk_doc', type: 'boolean', value: false,
       description: 'Whether to generate the API reference')

## libgweather 2.27.0~git20090602-0.1

=== debian/changelog ===
libgweather (2.27.0~git20090602-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * git snapshot.

 -- Praveen Arimbrathodiyil (A proud GNU user) <pravi.a@gmail.com>  Tue, 26 May 2009 09:18:03 -0700

libgweather (2.26.1-1) unstable; urgency=low

  * New upstream release.
    + Does not use combo characters for degrees. Closes: #486523.
  * Update build-dependencies.
  * Bump shlibs version to 2.25.4.
  * Build-depend on libglib2.0-doc and libgtk2.0-doc to ensure proper 
    xrefs.
  * Standards version is 3.8.1.
  * 01_compress_locations.patch and libgweather-common.compress: 
    removed, fixed upstream. Enable compression in configure flags 
    instead.
  * Install documentation in libgweather-dev.
  * Update list of copyright holders.

 -- Josselin Mouette <joss@debian.org>  Sat, 25 Apr 2009 18:45:18 +0200

libgweather (2.24.3-1) unstable; urgency=low

  * New upstream release, only fixes LICENSE file.

 -- Josselin Mouette <joss@debian.org>  Wed, 04 Mar 2009 17:09:20 +0100

libgweather (2.24.2-2) experimental; urgency=low

  * debian/control.in: Bump the libgweather-common depend up to (>= 2.24.0)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 19 Jan 2009 14:19:59 +1100

libgweather (2.24.2-1) experimental; urgency=low

  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Sun, 04 Jan 2009 13:18:41 +0100

libgweather (2.24.1-1) experimental; urgency=low

  * New upstream release.
  * Bump build-dependencies.
  * Set shlibs version to 2.23.92.
  * 01_compress_locations.patch: updated to apply again.
  * 99_ltmain_as-needed.patch: update for new version.
  * Prepare everything needed to build python-gweather, but disable it 
    for the moment since the API is unstable.

 -- Josselin Mouette <joss@debian.org>  Fri, 21 Nov 2008 20:25:35 +0100

libgweather (2.22.3-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/control.in:
    + Update Standards-Version to 3.8.0, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Jun 2008 12:48:40 +0200

libgweather (2.22.2-2) unstable; urgency=low

  * Make priority optional.
  * 01_compress_locations.patch: look for .xml.gz files instead of .xml.
  * libgweather-common.compress: compress the files with dh_compress.
  * Enforce upgrading them together with Depends/Conflicts.

 -- Josselin Mouette <joss@debian.org>  Mon, 23 Jun 2008 18:51:31 +0200

libgweather (2.22.2-1) unstable; urgency=low

  [ Sven Arvidsson ]
  * debian/control.in:
    + Update short description for -common and -dev packages
    (Closes: #475495)

  [ Josselin Mouette ]
  * Upload to unstable.
  * New upstream bugfix and translation release.

 -- Josselin Mouette <joss@debian.org>  Wed, 28 May 2008 02:43:35 +0200

libgweather (2.22.1.2-1) experimental; urgency=low

  * New upstream bugfix release:
    + debian/patches/03_fix-locations.patch:
      - Dropped, merged upstream.
    + debian/control.in:
      - Build depend on libxml2-utils for xmllint.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Apr 2008 09:30:03 +0200

libgweather (2.22.1.1-1) experimental; urgency=low

  * debian/control.in:
    + Build depend on libxml-parser-perl (Closes: #471296).
  * New upstream bugfix release with API changes:
    + debian/control.in,
      libgweather1.install:
      - Update soname.
      - Build depend on libxml2-dev.
    + debian/patches/01_location-dist-fixes.patch,
      debian/patches/02_location-dist-files.patch:
      - Dropped, merged upstream.
    + debian/patches/99_ltmain_as-needed.patch:
      - Updated to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Apr 2008 20:19:12 +0200

libgweather (2.22.0-1) experimental; urgency=low

  * New package, based on the Ubuntu packaging.
  * debian/control.in:
    + Wrap dependencies, update build dependencies.
    + Correct dependencies of the -dev package.
  * debian/watch:
    + Added watch file.
  * debian/patches/01_location-dist-fixes.patch,
    debian/patches/02_location-dist-files.patch,
    debian/patches/03_fix-locations.patch,
    debian/patches/98_autoreconf.patch:
    + Ported patches from gnome-applets for disting and correcting the weather
      locations.
  * debian/patches/99_ltmain_as-needed.patch,
    debian/rules:
    + Add -Wl,-z,defs -Wl,-O1 -Wl,--as-needed to LDFLAGS.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 12 Mar 2008 14:39:26 +0100

libgweather (2.22.0-0ubuntu1) hardy; urgency=low

  * New upstream version

 -- Christophe Sauthier <christophe.sauthier@gmail.com>  Tue, 11 Mar 2008 16:02:03 +0100

libgweather (2.21.92-0ubuntu1) hardy; urgency=low

  * New upstream version

 -- Christophe Sauthier <christophe.sauthier@gmail.com>  Tue, 26 Feb 2008 20:54:29 +0100

libgweather (2.21.2-0ubuntu1) hardy; urgency=low

  * New upstream version
  * debian/control:
    - updated the description

 -- Sebastien Bacher <seb128@canonical.com>  Mon, 14 Jan 2008 23:12:48 +0100

libgweather (2.21.1-0ubuntu1) hardy; urgency=low

  * Upload to ubuntu

 -- Sebastien Bacher <seb128@canonical.com>  Mon, 14 Jan 2008 10:45:38 +0100

libgweather (2.22.0-2.1) unstable; urgency=low

  * debian/control.in:
    + Build depend on libxml-parser-perl (Closes: #471296).
  * 

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Apr 2008 20:19:12 +0200

=== debian/control ===
Source: libgweather
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Josselin Mouette <joss@debian.org>, Sebastian Dröge <slomo@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 5),
               autotools-dev,
               cdbs,
               libxml2-dev (>= 2.6.0),
               libglib2.0-dev (>= 2.13.0),
               libgtk2.0-dev (>= 2.11.0),
               libsoup-gnome2.4-dev (>= 2.25.1),
               libgconf2-dev (>= 2.8.0),
               gconf2,
               gnome-pkg-tools,
               intltool (>= 0.40.3),
               pkg-config (>= 0.19),
               libxml2-utils,
               libglib2.0-doc,
               libgtk2.0-doc
Standards-Version: 3.8.1
Section: libs

Package: libgweather-dev
Section: libdevel
Architecture: any
Depends: libgweather1 (>= ${binary:Version}),
         libxml2-dev (>= 2.6.0),
         libglib2.0-dev (>= 2.13.0),
         libgtk2.0-dev (>= 2.11.0),
         libsoup-gnome2.4-dev (>= 2.25.1),
         libgconf2-dev (>= 2.8.0),
         ${misc:Depends}
Replaces: gnome-applets-dev (<< 2.21.3)
Description: GWeather development files
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains the include files and static library.

Package: libgweather1
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgweather-common (>= 2.24.0)
Replaces: gnome-applets (<< 2.21.3)
Description: GWeather shared library
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains shared libraries.

Package: libgweather-common
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Replaces: gnome-applets-data (<< 2.21.3)
Conflicts: libgweather1 (<< 2.22.2-2)
Description: GWeather common files
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains the weather locations.

# Package: python-gweather
# Architecture: any
# Section: python
# Depends: ${shlibs:Depends},
#          ${misc:Depends},
#          ${python:Depends}
# Description: Python bindings for GWeather
#  libgweather is a library to access weather information from online
#  services for numerous locations.
#  .
#  This package contains the Python bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_DH_MAKESHLIBS_ARGS_libgweather1 := -V 'libgweather1 (>= 2.23.92)'
#DEB_BUILDDIR := $(CURDIR)/build-base
#PYTHON_LDFLAGS := $(LDFLAGS) -Wl,-O1 -Wl,--as-needed
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --enable-locations-compression

#PYVERS := $(shell pyversions -vr)

#configure/python-gweather:: $(PYVERS:%=build-%/config.status)
#build-%/config.status:
#	mkdir -p build-$*
#	cd build-$* && \
#		PYTHON=/usr/bin/python$* \
#		$(DEB_CONFIGURE_SCRIPT_ENV) LDFLAGS="$(PYTHON_LDFLAGS)" \
#		$(DEB_CONFIGURE_SCRIPT) $(DEB_CONFIGURE_NORMAL_ARGS) \
#		$(cdbs_configure_flags) $(DEB_CONFIGURE_EXTRA_FLAGS) \
#		--enable-python
#
#build/python-gweather:: $(PYVERS:%=build-%/build-stamp)
#build-%/build-stamp:
#	$(MAKE) -C build-$* SUBDIRS="libgweather python"
#	touch $@
#
#install/python-gweather:: $(PYVERS:%=install-%)
#install-%:
#	$(MAKE) -C build-$*/python install DESTDIR=$(DEB_DESTDIR)
#
#clean::
#	rm -rf build-*
#
#binary-post-install/python-gweather::
#	dh_pysupport -ppython-gweather

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/libgweather/([\d\.]+)[02468]/ \
        libgweather-(.*)\.tar\.gz \
	        debian uupdate

## libgweather 2.30.3

=== debian/changelog ===
libgweather (2.30.3-1) unstable; urgency=low

  * New upstream stable release (translation updates only).

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Nov 2010 02:47:28 +0100

libgweather (2.30.2-1) unstable; urgency=low

  * New upstream stable release.
  * debian/patches/99_ltmain_as-needed.patch
    - Refresh for new upstream release.
  * debian/control
    - Add Vcs-Browser and Vcs-Svn fields.
    - Bump Standards-Version to 3.9.1. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Jul 2010 19:30:48 +0200

libgweather (2.30.0-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in,
    debian/rules:
    - Switch to CDBS' python-autotools.mk.
  * debian/source/format,
    debian/patches/series,
    debian/rules:
    - Switch to quilt and source format 3.0 (quilt).
  * debian/patches/99_ltmain_as-needed.patch:
    - Refreshed.
  * debian/libgweather-common.install:
    - Install the icons here. Closes: #580244.
  * debian/control.in:
    - Standards-Version is 3.8.4, no changes needed.
    - Tighten the -dev package dependency on the shared library package.

 -- Josselin Mouette <joss@debian.org>  Fri, 07 May 2010 21:59:58 +0200

libgweather (2.30.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/rules:
      - Update SHVER to 2.30.0 because of API additions.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 12 Apr 2010 12:12:34 +0200

libgweather (2.28.0-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - Bump SHVER to 2.28.0 since there are API additions.
  * debian/patches/01_python_include_dir.patch,
    debian/patches/02_python__init__executable.patch:
    - Removed, applied upstream.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 22 Sep 2009 16:37:05 +0200

libgweather (2.26.2.1-2) unstable; urgency=low

  * debian/patches/02_python__init__executable.patch:
    - Don't install __init__.py with executable permissions.
  * debian/copyright:
    - Updated, some files are licensed under the LGPL.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 29 Aug 2009 01:33:17 +0200

libgweather (2.26.2.1-1) unstable; urgency=low

  * Build the python bindings in python-gweather. Closes: #539091.
    - libgweather/debian/patches/01_python_include_dir.patch:
      Fix the build of the bindings out of tree.
  * debian/copyright: add "Copyright" to the debian packaging copyright
    notice.
  * Standards-Version is 3.8.3, no changes needed.
  * debian/watch: don't uupdate.
  * New upstream bugfix release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 28 Aug 2009 23:32:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,40 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
+
 Source: libgweather
+Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Josselin Mouette <joss@debian.org>, Sebastian Dröge <slomo@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 5),
                autotools-dev,
-               cdbs,
+               cdbs (>= 0.4.73),
+               gnome-pkg-tools,
                libxml2-dev (>= 2.6.0),
                libglib2.0-dev (>= 2.13.0),
                libgtk2.0-dev (>= 2.11.0),
                libsoup-gnome2.4-dev (>= 2.25.1),
                libgconf2-dev (>= 2.8.0),
                gconf2,
-               gnome-pkg-tools,
                intltool (>= 0.40.3),
                pkg-config (>= 0.19),
                libxml2-utils,
+               python-support,
+               python-all-dev,
+               python-gobject-dev,
+               python-gtk2-dev,
                libglib2.0-doc,
                libgtk2.0-doc
-Standards-Version: 3.8.1
-Section: libs
+Standards-Version: 3.9.1
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/libgweather/
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/libgweather/
 
 Package: libgweather-dev
 Section: libdevel
 Architecture: any
-Depends: libgweather1 (>= ${binary:Version}),
+Depends: libgweather1 (= ${binary:Version}),
          libxml2-dev (>= 2.6.0),
          libglib2.0-dev (>= 2.13.0),
          libgtk2.0-dev (>= 2.11.0),
@@ -38,7 +49,6 @@
  This package contains the include files and static library.
 
 Package: libgweather1
-Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -62,14 +72,14 @@
  .
  This package contains the weather locations.
 
-# Package: python-gweather
-# Architecture: any
-# Section: python
-# Depends: ${shlibs:Depends},
-#          ${misc:Depends},
-#          ${python:Depends}
-# Description: Python bindings for GWeather
-#  libgweather is a library to access weather information from online
-#  services for numerous locations.
-#  .
-#  This package contains the Python bindings.
+Package: python-gweather
+Architecture: any
+Section: python
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${python:Depends}
+Description: Python bindings for GWeather
+ libgweather is a library to access weather information from online
+ services for numerous locations.
+ .
+ This package contains the Python bindings.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILDDIR = debian/build
DEB_PYTHON_SYSTEM = pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-autotools.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_DH_MAKESHLIBS_ARGS_libgweather1 := -V 'libgweather1 (>= 2.30.0)'
LDFLAGS += -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --enable-locations-compression --enable-python

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/libgweather/([\d\.]+)[02468]/ \
        libgweather-(.*)\.tar\.gz

## libgweather 3.2.0

=== debian/changelog ===
libgweather (3.2.0-0ubuntu1.1) oneiric-proposed; urgency=low

  * debian/patches/50_fix_bom.gov.au_part1.patch,
    debian/patches/51_fix_bom.gov.au_part2.patch:
    - Cherry-pick upstream commits a80552f5 and 73829e64 to fix fetching
      weather data from bom.gov.au (LP: #629646)

 -- Evan Broder <evan@ebroder.net>  Sun, 27 Nov 2011 13:16:30 -0800

libgweather (3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * debian/rules: don't build out of the srcdir to workaround build issues

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 26 Sep 2011 11:35:12 +0200

libgweather (3.1.3-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * debian/patches/01_gettext_not_xml.patch: 
    - refreshed
  * debian/rules:
    - use --enable-static since the new default is off for that option

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 06 Jul 2011 15:45:08 +0200

libgweather (3.0.2-0ubuntu1) oneiric; urgency=low

  * New upstream version: 
    - translations updates

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 26 May 2011 16:46:43 +0200

libgweather (3.0.0-0ubuntu1) oneiric; urgency=low

  * Resynchronize on Debian and update to the current version, remaining diff:
  * debian/control.in:
    - Build-depend on dh-autoreconf, gnome-common
    - use Conflicts on the ppa binaries names differently for easier upgrades
  * debian/rules:
    - Run autotools on build
    - Generate POT files on build
  * debian/patches/01_gettext_not_xml.patch: 
    - using gettext rather than add translations to the xml databases
  * debian/watch: 
    - Watch unstable series  

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 May 2011 15:26:05 +0200

libgweather (2.91.6-1) experimental; urgency=low

  [ Frederic Peters ]
  * New upstream development release.
  * debian/control.in:
    * Update package names and build dependencies for GTK+ 3
    * Add a package for GObject introspection data

  [ Josselin Mouette ]
  * Fix shlibs file.

 -- Josselin Mouette <joss@debian.org>  Wed, 16 Mar 2011 22:37:00 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: libgweather
Section: libs
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 5),
               autotools-dev,
               cdbs (>= 0.4.73),
               dh-autoreconf,
               gnome-common,
               gnome-pkg-tools,
               libxml2-dev (>= 2.6.0),
               libglib2.0-dev (>= 2.13.0),
               libgtk-3-dev (>= 3.0.0),
               libsoup-gnome2.4-dev (>= 2.25.1),
               libgconf2-dev (>= 2.8.0),
               gconf2,
               intltool (>= 0.40.3),
               pkg-config (>= 0.19),
               libxml2-utils,
               libglib2.0-doc,
               libgtk-3-doc,
               libgirepository1.0-dev (>= 0.9.5),
               gobject-introspection (>= 0.9.12-4~),
               gir1.2-glib-2.0,
               gir1.2-gtk-3.0,
Standards-Version: 3.9.1
Vcs-Bzr: https://code.launchpad.net/~gnome3-team/libgweather/ubuntu

Package: libgweather-3-dev
Section: libdevel
Architecture: any
Depends: libgweather-3-0 (= ${binary:Version}),
         libxml2-dev (>= 2.6.0),
         libglib2.0-dev (>= 2.13.0),
         libgtk-3-dev (>= 3.0.0),
         libsoup-gnome2.4-dev (>= 2.25.1),
         libgconf2-dev (>= 2.8.0),
         ${misc:Depends}
Replaces: gnome-applets-dev (<< 2.21.3)
Conflicts: libgweather-dev (>= 2.91)
Description: GWeather development files
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains the include files and static library.

Package: libgweather-3-0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgweather-common (>= 2.24.0)
Description: GWeather shared library
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains shared libraries.

Package: libgweather-common
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libgweather1 (<< 2.22.2-2)
Description: GWeather common files
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains the weather locations.

Package: gir1.2-gweather-3.0
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GWeather library
 libgweather is a library to access weather information from online
 services for numerous locations.
 .
 This package contains introspection data for the libsoup HTTP library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_DH_MAKESHLIBS_ARGS_libgweather-3-0 := -V 'libgweather-3-0 (>= 2.91.0)'
LDFLAGS += -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --enable-locations-compression $(DEB_CONFIGURE_SCRIPT_ENV) --enable-static

build:
	cd po; intltool-update --pot
	cd po-locations; intltool-update --gettext-package libgweather-locations --pot

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/libgweather/([\d\.]+)\d/ \
        libgweather-(.*)\.tar\.gz

## libgweather 3.2.1

=== debian/changelog ===
libgweather (3.2.1-1) unstable; urgency=low

  * Rename the source package back to libgweather since we no longer need
    co-installability with the 2.x packages.
  * debian/watch:
    - Track .xz tarballs.
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 03 Nov 2011 17:15:34 +0100

libgweather3 (3.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - Build static libraries.
    - Build gtk-doc documentation.
  * debian/control:
    - Add Build-Depends on gtk-doc-tools.

 -- Michael Biebl <biebl@debian.org>  Thu, 29 Sep 2011 06:27:25 +0200

libgweather3 (3.0.2-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Fix long description for GIR package.
  * Make the -dev package depend on the gir package.
  * Rename the source package to allow parallel migration to testing.

  [ Michael Biebl ]
  * debian/watch: Switch to .bz2 tarballs.
  * New upstream release.
  * debian/control.in
    - Update Vcs-* fields for the new source package name, switch branch to
      unstable.
    - Remove Replaces: gnome-applets-dev (<< 2.21.3). This was required for
      upgrades to lenny and is now obsolete.
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip leading debian/tmp/ from .install files.
  * Bump Standards-Version to 3.9.2. No further changes.
  * Add symbols file for libgweather-3-0 for improved shlibs dependencies.

 -- Michael Biebl <biebl@debian.org>  Sat, 04 Jun 2011 22:46:51 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,11 @@
 Source: libgweather
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper (>= 5),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Build-Depends: debhelper (>= 8),
                autotools-dev,
                cdbs (>= 0.4.73),
-               dh-autoreconf,
-               gnome-common,
                gnome-pkg-tools,
                libxml2-dev (>= 2.6.0),
                libglib2.0-dev (>= 2.13.0),
@@ -24,27 +21,28 @@
                intltool (>= 0.40.3),
                pkg-config (>= 0.19),
                libxml2-utils,
+               gtk-doc-tools,
                libglib2.0-doc,
                libgtk-3-doc,
                libgirepository1.0-dev (>= 0.9.5),
                gobject-introspection (>= 0.9.12-4~),
                gir1.2-glib-2.0,
                gir1.2-gtk-3.0,
-Standards-Version: 3.9.1
-Vcs-Bzr: https://code.launchpad.net/~gnome3-team/libgweather/ubuntu
+Standards-Version: 3.9.2
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libgweather
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/libgweather
 
 Package: libgweather-3-dev
 Section: libdevel
 Architecture: any
 Depends: libgweather-3-0 (= ${binary:Version}),
+         gir1.2-gweather-3.0 (= ${binary:Version}),
          libxml2-dev (>= 2.6.0),
          libglib2.0-dev (>= 2.13.0),
          libgtk-3-dev (>= 3.0.0),
          libsoup-gnome2.4-dev (>= 2.25.1),
          libgconf2-dev (>= 2.8.0),
          ${misc:Depends}
-Replaces: gnome-applets-dev (<< 2.21.3)
-Conflicts: libgweather-dev (>= 2.91)
 Description: GWeather development files
  libgweather is a library to access weather information from online
  services for numerous locations.
@@ -83,7 +81,7 @@
  libgweather is a library to access weather information from online
  services for numerous locations.
  .
- This package contains introspection data for the libsoup HTTP library.
+ This package contains introspection data for the GWeather library.
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.

## libgweather 3.4.1

=== debian/changelog ===
libgweather (3.4.1-1+build1) unstable; urgency=low

  * No source changes; rebuild with xz compression.

 -- Michael Biebl <biebl@debian.org>  Mon, 06 Aug 2012 23:35:10 +0200

libgweather (3.4.1-1) unstable; urgency=low

  * New upstream release.
  * Change section of gir1.2-gweather-3.0 to introspection.
  * debian/patches/99_ltmain_as-needed.patch: Refreshed.
  * Drop explicit Build-Depends on gir1.2-gtk-3.0.
  * Update debian/copyright using the machine-readable copyright format 1.0.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Mar 2012 18:26:55 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper (>= 8),
                autotools-dev,
                cdbs (>= 0.4.73),
@@ -26,9 +26,8 @@
                libgtk-3-doc,
                libgirepository1.0-dev (>= 0.9.5),
                gobject-introspection (>= 0.9.12-4~),
-               gir1.2-glib-2.0,
-               gir1.2-gtk-3.0,
-Standards-Version: 3.9.2
+               gir1.2-glib-2.0
+Standards-Version: 3.9.3
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libgweather
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/libgweather
 
@@ -72,7 +71,7 @@
  This package contains the weather locations.
 
 Package: gir1.2-gweather-3.0
-Section: libs
+Section: introspection
 Architecture: any
 Depends: ${gir:Depends},
          ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILDDIR = debian/build

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --enable-locations-compression \
                             --enable-static \
                             --enable-gtk-doc

## libgweather 3.6.0

=== debian/changelog ===
libgweather (3.6.0-0ubuntu1) quantal; urgency=low

  * New upstream stable release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 26 Sep 2012 10:30:34 +1200

libgweather (3.5.92-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 19 Sep 2012 11:53:36 +1200

libgweather (3.5.91-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 04 Sep 2012 09:58:52 +1200

libgweather (3.5.90-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 21 Aug 2012 17:11:45 +1200

libgweather (3.5.5-0ubuntu1) quantal; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Aug 2012 21:13:06 +0200

libgweather (3.5.4-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 17 Jul 2012 09:20:48 +1200

libgweather (3.5.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release
  * debian/control:
    - Use standards-version 3.9.3
    - Drop depends on libgconf2-dev, gconf2
    - Bump build-depends on intltool
    - Rename packages for new soname
  * debian/libgweather-common.install:
    - Install gsettings schemas instead of gconf ones
  * debian/libgweather-3-1.symbols:
    - Updated
  * debian/patches/02_no_external_gettext.patch:
    - Can't have both IT_PROG_INTLTOOL and AM_GNU_GETTEXT

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 05 Jul 2012 14:23:39 +1200

libgweather (3.4.1-0ubuntu1) precise; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Mar 2012 10:32:03 +0100

libgweather (3.4.0-0ubuntu1) precise; urgency=low

  * New upstream version
  * debian/patches/01_gettext_not_xml.patch: 
    - refreshed
  * debian/patches/99_ltmain_as-needed.patch:
    - dropped, that's not needed nowadays

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Mar 2012 13:35:01 +0100

libgweather (3.2.1-1ubuntu1) precise; urgency=low

  * Resynchronize on Debian
  * debian/control.in:
    - Build-depend on dh-autoreconf, gnome-common
  * debian/rules:
    - Run autotools on build
    - Generate POT files on build
  * debian/patches/01_gettext_not_xml.patch: 
    - using gettext rather than add translations to the xml databases
  * debian/watch: 
    - Watch unstable series 

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 21 Nov 2011 11:00:45 +0100

## libgweather 3.6.2

=== debian/changelog ===
libgweather (3.6.2-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 14 Nov 2012 11:48:50 +1300

libgweather (3.6.1-0ubuntu1) raring; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Nov 2012 17:15:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,23 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: libgweather
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 8),
                autotools-dev,
                cdbs (>= 0.4.73),
+               dh-autoreconf,
+               gnome-common,
                gnome-pkg-tools,
                libxml2-dev (>= 2.6.0),
                libglib2.0-dev (>= 2.13.0),
                libgtk-3-dev (>= 3.0.0),
                libsoup-gnome2.4-dev (>= 2.25.1),
-               libgconf2-dev (>= 2.8.0),
-               gconf2,
-               intltool (>= 0.40.3),
+               intltool (>= 0.50.0),
                pkg-config (>= 0.19),
                libxml2-utils,
                gtk-doc-tools,
@@ -26,21 +26,20 @@
                libgtk-3-doc,
                libgirepository1.0-dev (>= 0.9.5),
                gobject-introspection (>= 0.9.12-4~),
-               gir1.2-glib-2.0
+               gir1.2-glib-2.0,
+               gir1.2-gtk-3.0,
 Standards-Version: 3.9.3
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libgweather
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/libgweather
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/libgweather/ubuntu
 
 Package: libgweather-3-dev
 Section: libdevel
 Architecture: any
-Depends: libgweather-3-0 (= ${binary:Version}),
+Depends: libgweather-3-1 (= ${binary:Version}),
          gir1.2-gweather-3.0 (= ${binary:Version}),
          libxml2-dev (>= 2.6.0),
          libglib2.0-dev (>= 2.13.0),
          libgtk-3-dev (>= 3.0.0),
          libsoup-gnome2.4-dev (>= 2.25.1),
-         libgconf2-dev (>= 2.8.0),
          ${misc:Depends}
 Description: GWeather development files
  libgweather is a library to access weather information from online
@@ -48,7 +47,7 @@
  .
  This package contains the include files and static library.
 
-Package: libgweather-3-0
+Package: libgweather-3-1
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -71,7 +70,7 @@
  This package contains the weather locations.
 
 Package: gir1.2-gweather-3.0
-Section: introspection
+Section: libs
 Architecture: any
 Depends: ${gir:Depends},
          ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 DEB_BUILDDIR = debian/build
 
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/utils.mk
@@ -14,3 +15,7 @@
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-locations-compression \
                              --enable-static \
                              --enable-gtk-doc
+
+build:
+	cd po; intltool-update --pot
+	cd po-locations; intltool-update --gettext-package libgweather-locations --pot

## libgweather 3.8.2

=== debian/changelog ===
libgweather (3.8.2-0ubuntu1) saucy; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 31 May 2013 10:35:40 +0200

libgweather (3.8.0-1ubuntu1) saucy; urgency=low

  * Sync with Debian (LP: #1184168). Remaining changes: 
    - debian/control.in, debian/rules:
      + Run autoreconf
    - debian/rules:
      + Generate POT files on build
    - debian/patches/01_gettext_not_xml.patch: 
      + using gettext rather than add translations to the xml databases
    - debian/patches/02_no_external_gettext.patch:
      + Can't have both IT_PROG_INTLTOOL and AM_GNU_GETTEXT

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 May 2013 11:58:15 +0200

libgweather (3.8.0-1) experimental; urgency=low

  * Change libsoup build-dependency according to upstream changes
    "We no longer use libsoup-gnome, and instead depend
     on a newer libsoup (>= 2.34) which uses libproxy to
     access proxy configuration"
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 04 Apr 2013 18:12:31 +0200

libgweather (3.7.91-1) experimental; urgency=low

  * New upstream release
  * debian/control.in: Bump build-deps
  * Updated soname

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 15 Mar 2013 22:30:33 +0100

libgweather (3.6.0-1) experimental; urgency=low

  * New upstream release
  * debian/patches/99_ltmain_as-needed.patch: Refreshed

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 05 Oct 2012 21:46:06 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8),
                autotools-dev,
                cdbs (>= 0.4.73),
@@ -15,9 +15,9 @@
                gnome-common,
                gnome-pkg-tools,
                libxml2-dev (>= 2.6.0),
-               libglib2.0-dev (>= 2.13.0),
+               libglib2.0-dev (>= 2.35.1),
                libgtk-3-dev (>= 3.0.0),
-               libsoup-gnome2.4-dev (>= 2.25.1),
+               libsoup2.4-dev (>= 2.34.0),
                intltool (>= 0.50.0),
                pkg-config (>= 0.19),
                libxml2-utils,
@@ -34,12 +34,12 @@
 Package: libgweather-3-dev
 Section: libdevel
 Architecture: any
-Depends: libgweather-3-1 (= ${binary:Version}),
+Depends: libgweather-3-3 (= ${binary:Version}),
          gir1.2-gweather-3.0 (= ${binary:Version}),
          libxml2-dev (>= 2.6.0),
-         libglib2.0-dev (>= 2.13.0),
+         libglib2.0-dev (>= 2.35.1),
          libgtk-3-dev (>= 3.0.0),
-         libsoup-gnome2.4-dev (>= 2.25.1),
+         libsoup2.4-dev (>= 2.34.0),
          ${misc:Depends}
 Description: GWeather development files
  libgweather is a library to access weather information from online
@@ -47,7 +47,7 @@
  .
  This package contains the include files and static library.
 
-Package: libgweather-3-1
+Package: libgweather-3-3
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -70,7 +70,7 @@
  This package contains the weather locations.
 
 Package: gir1.2-gweather-3.0
-Section: libs
+Section: introspection
 Architecture: any
 Depends: ${gir:Depends},
          ${shlibs:Depends},

## libgweather 3.10.2

=== debian/changelog ===
libgweather (3.10.2-0ubuntu3) trusty-proposed; urgency=medium

  * Switch to the new METAR data provider, the previous one was shut down
    (update_metar_provider.patch, LP: #1620557).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 10 Sep 2016 17:10:21 +0300

libgweather (3.10.2-0ubuntu2) trusty-proposed; urgency=medium

  * debian/patches/10-update_yr.no_API-commit_89de9f9.patch:
    Imported patch from upstream to fix yr.no new API compliance
    (LP: #1370464).

 -- Leo Iannacone <l3on@ubuntu.com>  Mon, 22 Sep 2014 10:33:36 +0200

libgweather (3.10.2-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 04 Feb 2014 10:17:00 +0000

libgweather (3.10.1-1ubuntu1) trusty; urgency=medium

  * Merge from debian experimental. Remaining changes:
    - debian/control.in, debian/rules:
      + Run autoreconf
    - debian/rules:
      + Generate POT files on build
    - debian/patches/02_no_external_gettext.patch:
      + Can't have both IT_PROG_INTLTOOL and AM_GNU_GETTEXT
    - debian/control: Update Vcs-* field.
  * debian/patches/01_gettext_not_xml.patch: Drop, fixed upstream

 -- Jackson Doak <noskcaj@ubuntu.com>  Tue, 31 Dec 2013 13:35:42 +1100

libgweather (3.10.1-1) experimental; urgency=low

  * Team upload.

  [ Andreas Henriksson ]
  * New upstream release.
  * Drop debian/patches/0001-Don-t-crash-when-unsetting-the-location.patch
    - now included in upstream release.
  * Add build-dependency on valac (>= 0.20)
    - for vala bindings generation
  * Install gweather vapi in libgweather-3-dev

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 28 Dec 2013 00:13:02 +0100

libgweather (3.10.0-1) experimental; urgency=low

  * Team upload
  * New upstream release
    - Bump soname to 6
  * Update debian/libgweather-3-6.symbols
  * debian/control: Add homepage

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 17 Oct 2013 13:21:52 +0200

libgweather (3.8.3-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Location database fixes and additions
    - Translation updates and fixes

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 17 Dec 2013 09:39:59 +1300

libgweather (3.8.2-3ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. (LP: #1260899) Remaining changes:
    - debian/control.in, debian/rules:
      + Run autoreconf
    - debian/rules:
      + Generate POT files on build
    - debian/patches/01_gettext_not_xml.patch: 
      + using gettext rather than add translations to the xml databases
    - debian/patches/02_no_external_gettext.patch:
      + Can't have both IT_PROG_INTLTOOL and AM_GNU_GETTEXT
  * debian/control: Update Vcs-* field.

 -- Artur Rona <ari-tczew@tlen.pl>  Sat, 14 Dec 2013 00:24:20 +0100

libgweather (3.8.2-3) unstable; urgency=low

  * d/p/0001-Don-t-crash-when-unsetting-the-location.patch
    + Added, don't crash when the location is unset

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 22 Sep 2013 20:31:29 +0200

libgweather (3.8.2-2) unstable; urgency=low

  [ Michael Biebl ]
  * Upload to unstable.
  * Drop explicit Build-Depends on gir1.2-glib-2.0 and gir1.2-gtk-3.0, they
    are pulled in by their corresponding -dev package.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 17 Sep 2013 21:41:04 +0200

libgweather (3.8.2-1) experimental; urgency=low

  * Bump libgweather-3-3 dependency on libgweather-common to (>= 3.5.0)
    - needed for new gsettings schema (with org.gnome.GWeather)
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 17 Jun 2013 23:28:29 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8),
                autotools-dev,
                cdbs (>= 0.4.73),
@@ -26,15 +26,15 @@
                libgtk-3-doc,
                libgirepository1.0-dev (>= 0.9.5),
                gobject-introspection (>= 0.9.12-4~),
-               gir1.2-glib-2.0,
-               gir1.2-gtk-3.0,
-Standards-Version: 3.9.3
+               valac (>= 0.20)
+Standards-Version: 3.9.4
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/libgweather/ubuntu
+
 
 Package: libgweather-3-dev
 Section: libdevel
 Architecture: any
-Depends: libgweather-3-3 (= ${binary:Version}),
+Depends: libgweather-3-6 (= ${binary:Version}),
          gir1.2-gweather-3.0 (= ${binary:Version}),
          libxml2-dev (>= 2.6.0),
          libglib2.0-dev (>= 2.35.1),
@@ -47,11 +47,11 @@
  .
  This package contains the include files and static library.
 
-Package: libgweather-3-3
+Package: libgweather-3-6
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgweather-common (>= 2.24.0)
+         libgweather-common (>= 3.5.0)
 Description: GWeather shared library
  libgweather is a library to access weather information from online
  services for numerous locations.

=== debian/rules ===


=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/libgweather/([\d\.]+[02468])/ \
        libgweather-(.*)\.tar\.xz

## libgweather 3.12.3

=== debian/changelog ===
libgweather (3.12.3-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * Drop git_update_yr.no_API.patch, fixed upstream

 -- Jackson Doak <noskcaj@ubuntu.com>  Fri, 17 Oct 2014 17:42:34 +1100

libgweather (3.12.2-0ubuntu2) utopic; urgency=medium

  * debian/patches/git_update_yr.no_API.patch:
    Import patch from upstream to fix yr.no new API compliance
    (LP: #1370464).

 -- Leo Iannacone <l3on@ubuntu.com>  Mon, 29 Sep 2014 10:05:33 +0200

libgweather (3.12.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * debian/libgweather-3-6.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 04 Jul 2014 11:08:29 +1200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 8),
                autotools-dev,
                cdbs (>= 0.4.73),
